Module kevin5foo Interface;
Export
  kevin5foo = (test1);
procedure test1(addr : integer; float : real);
end. { Interface }

Module kevin5foo Implementation;
procedure test1;
begin
{
        writeln(addr);
        writeln(float);
}
  if ( addr = 42 ) and ( abs ( float - 3.14 ) < 1E-15 ) then
    writeln ( 'OK' )
  else
    writeln ( 'failed: ', addr, ' ', float );
end;
end.

Program bar;

Import
  kevin5foo;

begin
  test1 ( 42, 3.14 );
end.
